// Copyright Epic Games, Inc. All Rights Reserved.

#include "Integration.h"
#include "Common.h"
#include "Modules/ModuleManager.h"
#include "Interfaces/IPluginManager.h"
#include "Misc/Paths.h"
#include "ShaderCore.h"

IMPLEMENT_PRIMARY_GAME_MODULE(FlxIntegrationModuleImpl, Integration, "Integration");

void FlxIntegrationModuleImpl::StartupModule()
{
	FString ShaderDir = FPaths::Combine(FPaths::ProjectDir(), TEXT("Shaders"));
	AddShaderSourceDirectoryMapping(TEXT("/Project/Integration"), ShaderDir);
}

void FlxIntegrationModuleImpl::ShutdownModule()
{
}
